<template>
  <div class="v-login-view flex flex-col justify-center items-center h-screen space-y-[36px]">
    <div class="w-full">
      <div class="text-center space-y-[14px] text-[30px] text-primary">
        <h4 class="font-mm">{{ title }}</h4>
        <h4 class="font-mm">{{ subTitle }}</h4>
      </div>
    </div>
    <div></div>
    <v-login @onSummit="onSubmit" />
    <div></div>
    <div></div>
  </div>
</template>

<script>
import VLogin from '@/components/VLogin'
import { mapMutations, mapActions } from 'vuex';

export default {
  name: "v-login-view",
  components: {
    VLogin,
  },
  data: () => ({
    title: 'ក្រុ​មហ៊ុន​ លី ហួរ ឌីវេឡុបម៉ិន វិមានភ្នំពេញ ឯ.ក',
    subTitle: 'សូមស្វាគមន៍'
  }),
  created() {
    console.log(this.$store);
  },
  methods: {
    ...mapMutations(['SET_LOADING', 'SET_FULL_PAGE']),
    ...mapActions('Auth', ['onLogin']),
    onSubmit(values) {
      try {
        this.onLogin(values);
      } catch (err) {
        console.log(err);
      }

    }
  }
};
</script>

<style lang="scss" scoped>
.v-login-view {
  background:
    url('../assets/bg-login.png') center center no-repeat #f1ecdd;
  background-size: contain;
}
</style>
